> For the complete documentation index, see [llms.txt](https://docs.does.qa/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.does.qa/test-steps/runner/condition.md).

# Condition

![Condition Node](https://app.does.qa/screenshots/node/runner_condition.png)

## Basic Configuration

| Field                            | Configuration                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                             |
| -------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Condition                        | `Runner` (default), `Runner Variant`, `Language`, `Timezone`, `Run Value`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                 |
| Value Store Item *(conditional)* | [Value](https://docs.does.qa/values)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |
| Type                             | `Equals` (default), `Doesn't Equal`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| Variant *(conditional)*          | `Edge: Desktop`, `Edge: Desktop - Ultra-wide`, `Edge: Desktop - Portrait`, `Edge: Tablet - Landscape`, `Edge: Tablet - Portrait`, `Firefox: Desktop`, `Firefox: Desktop - Ultra-wide`, `Firefox: Desktop - Portrait`, `Firefox: Tablet - Landscape`, `Firefox: Tablet - Portrait`, `Chrome: Desktop` (default), `Chrome: Desktop - Ultra-wide`, `Chrome: Desktop - Portrait`, `Chrome: Tablet - Landscape`, `Chrome: Tablet - Portrait`, `iPhone 14 Pro Max`, `iPhone 12 Pro`, `iPhone XR`, `iPhone X`, `iPhone SE`, `iPhone 4`, `iPad Pro`, `iPad Mini`, `iPad Air`, `Samsung Galaxy A51/71`, `Galaxy Z Fold 5`, `Samsung Galaxy S3`, `Samsung Galaxy S8`, `Samsung Galaxy S8+`, `Samsung Galaxy S9+`, `Samsung Galaxy S20 Ultra`, `Samsung Galaxy Note 2`, `Samsung Galaxy Note 3`, `Samsung Galaxy Tab S4`, `Microsoft Lumia 550`, `Microsoft Lumia 950`, `Moto G4`, `Moto G Power`, `Nokia N9`, `Nexus 4`, `Nexus 5`, `Nexus 5X`, `Nexus 6`, `Nexus 6P`, `Nexus 7`, `Nexus 10`, `Pixel 2`, `Pixel 2 XL`, `Pixel 3`, `Pixel 3 XL`, `Pixel 4`, `Pixel 7`, `Surface Duo`, `Surface Pro 7`, `Asus Zenbook Fold`, `Blackberry Playbook`, `Blackberry Z30`, `Kindle Fire HDX`, `LG Optimus L70`, `Nest Hub`, `Nest Hub Max` |
| Language *(conditional)*         | `English (United States)` (default), `English (United Kingdom)`, `Chinese (China, Simplified)`, `Spanish (Spain)`, `Spanish (Mexico)`, `French (France)`, `German (Germany)`, `Japanese (Japan)`, `Polish (Poland)`, `Italian (Italy)`, `Arabic (United Arab Emirates)`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |
| Timezone *(conditional)*         | `UTC` (default), `America/New_York`, `Europe/London`, `Europe/Paris`, `America/Los_Angeles`, `Europe/Berlin`, `Asia/Tokyo`, `Australia/Sydney`, `America/Sao_Paulo`, `Asia/Dubai`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         |
| Runner *(conditional)*           | `Chrome` (default), `Firefox`, `Edge`, `Emulated Device`                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| Value *(conditional)*            | Text                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                      |

***

**Tags:** `runner`, `condition`


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.does.qa/test-steps/runner/condition.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
